package broker

import (
	"context"
)

type HandleFunc func(ctx context.Context, e *Event) error

type Subscriber interface {
	ID() string
	HasTopic(topic string) bool
	OnAttach() (err error)
	Process(ctx context.Context, e *Event) (err error)
	OnDetach() (err error)
}